%define name	gournal
%define version	0.5.1
%define release %mkrel 2

Name: 	 	%{name}
Summary: 	GNOME hardwriting notepad
Version: 	%{version}
Release: 	%{release}

Source:		http://www.adebenham.com/debian/%{name}_%{version}-1.tar.bz2
URL:		http://www.adebenham.com/gournal/
License:	GPL
Group:		Office
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
BuildRequires:  ImageMagick

%description
Gournal is a note-taking application written for usage on Tablet-PCs.  It's
designed for usage with a stylus, not a mouse or keyboard.  It does not have
handwriting recognition but can be used in co-ordination with xstroke to
accept text.  The pages are saved as gzipped SVG files (not totally standard
yet but working on it).

Gournal looks/works just like a physical notebook with multiple pages.
Gournal has the following tools:
    * Fine/Normal/Medium/Think Pens
    * Eraser
    * Highliter
    * Typed Text
    * Time-stamp
    * Zoom
    * Infinite undo/redo
    * Delete entire strokes
    * Networkable pages
    * <Insert Images>
    * <Load a file as the background> 

%prep
%setup -q -n %name

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir/
mkdir -p $RPM_BUILD_ROOT/%_datadir/%name
cp *.glade pixmaps/*.png $RPM_BUILD_ROOT/%_datadir/%name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Gournal" longtitle="Handwriting notepad" section="Office/Accessories"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 pixmaps/pencil.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 pixmaps/pencil.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 pixmaps/pencil.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc CHANGES README
%{_bindir}/%name
%{_datadir}/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Sun Jan 22 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.1-2mdk
- Add BuildRequires: ImageMagick

* Wed Dec 07 2005 Lenny Cartier <lenny@mandriva.com> 0.5.1-1mdk
- 0.5.1

* Mon May 3 2004 Austin Acton <austin@mandrake.org> 0.3-1mdk
- initial package
